WireMock
action Wiremock

# fixed_delay

Adds a fixed delay to a list of mappings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | fixed_delay
Return | list

Usage

JSON

    {
      "name": "fixed-delay",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "fixed_delay",
        "arguments": {
          "filter": [],
          "fixedDelayMilliseconds": 0
        }
      }
    }

YAML

    name: fixed-delay
    provider:
      arguments:
        filter: []
        fixedDelayMilliseconds: 0
      func: fixed_delay
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | list |  | Yes | Filter | Filter to add fixed delay to
fixedDelay | integer | 0 | No | Fixed Delay | Delay to apply to the matching filter

Signature

    def fixed_delay(filter: List[Any],
                    fixedDelayMilliseconds: int,
                    configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `up`

  Deletes all delays connected with a list of mappings
- WireMock
  probe Wiremock

  ## `server_running`

  Tells if the WireMock server is running
- WireMock
  probe Wiremock

  ## `server_running`

  Tells if the WireMock server is running